petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLayoutDuplicate

creates a new PetscLayout with the same information as a given one. If the PetscLayout already exists it is destroyed first.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutDuplicate(PetscLayout in,PetscLayout *out)

Collective on PetscLayout Many br

### Input Parameter

in -input PetscLayout to be duplicated Many br

### Output Parameter

out -the copy Many br

Many br

Notes: PetscLayoutSetUp() does not need to be called on the resulting PetscLayout Many br

### See Also

PetscLayoutCreate(), PetscLayoutDestroy(), PetscLayoutSetUp(), PetscLayoutReference()

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages